Bug 35237 - Anaconda crash no such file /var/run/SERVER
Anaconda crash no such file /var/run/SERVER
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda (Show other bugs)
1.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-08 15:01 EDT by Dave Strandberg
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-11 11:47:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Strandberg 2001-04-08 15:01:45 EDT
Anaconda crashes during install of Raw Hide 20010405 on a Compaq Armada
M700 laptop.  I had copied the RPM files from an ftp mirror to a hard drive
on another Linux box, then ran the bootnet.img disk on the laptop and tried
an FTP install by FTP'ing to the Linux box that had the RPMS.  The
installer found and installed the packages without a problem, but after
entering custom monitor sync ranges, I'm prompted to "probe" or "don't
probe".  After choosing don't probe I get the following traceback:

---------------------------- snip ---------------------------

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 508, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1222, in run
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 616, in
__call__
OSError: [Errno 2] No such file or directory: '/var/run/SERVER'

Local variables in innermost frame:
f: <closed file '/mnt/sysimage/var/run/SERVER', mode 'w' at 9b5d418>
self: <text.XconfiguratorWindow instance at 873bde8>
todo: <todo.ToDo instance at 823e728>
args: ['xconfigurator', '--continue']
screen: <snack.SnackScreen instance at 821dd78>

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
(isnack
Scale
(dp7
S'w'

<failed>

----------------------------- snip -----------------------------

Hope this helps.
Comment 1 Bill Nottingham 2001-04-08 23:50:07 EDT
This is fixed in the current installer, AFAIK.
Comment 2 Dave Strandberg 2001-04-10 19:15:56 EDT
Oops, my bad.  I actually make it further than I stated in the bug report.  I
get through the "don't probe", pick 8 MB of video memory and display
resolutions, then an X server is started and it's not until I select the 'yes I
can see this' dialog box that the install aborts.  

Sorry for the confusion, hope this helps

Dave
Comment 3 Brent Fox 2001-04-11 11:46:51 EDT
I recall some bugs similar to this one.  This has been fixed in the current
internal tree, but I think that hasn't been pushed out to Rawhide.  Fixed with
anaconda-7.1-5.i386.rpm (and probably before that)

Note You need to log in before you can comment on or make changes to this bug.